OpenNMS API 1.2.9

## org.opennms.netmgt.config
Interface CatFactory

All Known Implementing Classes:
  CategoryFactory, MockCategoryFactory

public interface CatFactory

Author:
  jsartin TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`Category` `getCategory(java.lang.String name)`
`Catinfo` `getConfig()`
`java.lang.String` `getEffectiveRule(java.lang.String catLabel)`
`double` `getNormal(java.lang.String catlabel)`
`double` `getWarning(java.lang.String catlabel)`

Method Detail

### getConfig

    public Catinfo getConfig()

### getCategory

    public Category getCategory(java.lang.String name)

### getEffectiveRule

    public java.lang.String getEffectiveRule(java.lang.String catLabel)

### getNormal

    public double getNormal(java.lang.String catlabel)

### getWarning

    public double getWarning(java.lang.String catlabel)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.